# Generated by Django 2.1.8 on 2019-09-21 17:17

from django.db import migrations, models
import scipost.fields


def domains_to_approaches(apps, schema_editor):
    ThesisLink = apps.get_model('theses.ThesisLink')

    for thesis in ThesisLink.objects.filter(domain__contains='E'):
        if thesis.approaches:
            thesis.approaches.append('experimental')
        else:
            thesis.approaches = ('experimental',)
        thesis.save()
    for thesis in ThesisLink.objects.filter(domain__contains='T'):
        if thesis.approaches:
            thesis.approaches.append('theoretical')
        else:
            thesis.approaches = ('theoretical',)
        thesis.save()
    for thesis in ThesisLink.objects.filter(domain__contains='C'):
        if thesis.approaches:
            thesis.approaches.append('computational')
        else:
            thesis.approaches = ('computational',)
        thesis.save()


class Migration(migrations.Migration):

    dependencies = [
        ('theses', '0003_auto_20190522_1120'),
    ]

    operations = [
        migrations.AddField(
            model_name='thesislink',
            name='approaches',
            field=scipost.fields.ChoiceArrayField(base_field=models.CharField(choices=[('theoretical', 'Theoretical'), ('experimental', 'Experimental'), ('computational', 'Computational'), ('phenomenological', 'Phenomenological'), ('observational', 'Observational'), ('clinical', 'Clinical')], max_length=24), blank=True, null=True, size=None, verbose_name='approach(es) [optional]'),
        ),
        migrations.RunPython(domains_to_approaches,
                             reverse_code=migrations.RunPython.noop),
    ]
